Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 21-03-2020 14:01:12

Elzen
Modérateur
Distrib. : Debian Sid GNU/Linux
Noyau : amd64 (à jour le vendredi)
(G)UI : Touhy
Inscription : 01-07-2014

[Résolu] Soucis divers après MàJ (notamment segfaults en série)

Salut!

Je suis sous Sid, je fais les mises à jour à peu près tous les vendredis, et depuis la mise à jour d'hier, j'ai un paquet de logiciels qui ne fonctionnent plus ou mal.

À titre d'exemple, Falkon me fait ce joli retour au démarrage:

QStandardPaths: XDG_RUNTIME_DIR not set, defaulting to '/tmp/runtime-seth'
qt5ct: using qt5ct plugin
QWebEngineUrlScheme::registerScheme: Too late to register scheme "falkon"
QWebEngineUrlScheme::registerScheme: Too late to register scheme "extension"
Please register the custom scheme 'falkon' via QWebEngineUrlScheme::registerScheme() before installing the custom scheme handler.
Please register the custom scheme 'extension' via QWebEngineUrlScheme::registerScheme() before installing the custom scheme handler.
Falkon: 3 extensions loaded
qt5ct: D-Bus global menu: no
qt5ct: custom style sheet is disabled
Falkon: Crashed :( Saving backtrace in /home/seth/.config/falkon/crashlog ...
Backtrace successfully saved in /home/seth/.config/falkon/crashlog/Crash-2020-03-21T13:09:45.txt
Abandon


Le fichier de backtrace en question ressemble à ça:

Time: sam. mars 21 13:09:45 2020
Qt version: 5.12.5 (compiled with 5.12.5)
Falkon version: 3.1.0
Rendering engine: QtWebEngine

============== BACKTRACE ==============
#0: falkon(+0x410a) [0x5558c8c7f10a]
#1: /lib/x86_64-linux-gnu/libc.so.6(+0x3b7e0) [0x7f6c6c2b27e0]
#2: /usr/lib/x86_64-linux-gnu/dri/iris_dri.so(+0xb09c06) [0x7f6c534a6c06]
#3: /usr/lib/x86_64-linux-gnu/dri/iris_dri.so(+0xccc3ac) [0x7f6c536693ac]
#4: /usr/lib/x86_64-linux-gnu/dri/iris_dri.so(+0xae5afd) [0x7f6c53482afd]
#5: /usr/lib/x86_64-linux-gnu/dri/iris_dri.so(+0xae6735) [0x7f6c53483735]
#6: /usr/lib/x86_64-linux-gnu/dri/iris_dri.so(+0x1390f4) [0x7f6c52ad60f4]
#7: /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5(_ZN21QPlatformBackingStore15composeAndFlushEP7QWindowRK7QRegionRK6QPointP20QPlatformTextureListb+0x194) [0x7f6c64974734]
#8: /usr/lib/x86_64-linux-gnu/libQt5XcbQpa.so.5(+0x64bf4) [0x7f6c59c62bf4]
#9: /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5(+0x170dfc) [0x7f6c6ccb1dfc]
#10: /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5(+0x172814) [0x7f6c6ccb3814]
#11: /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5(+0x173e31) [0x7f6c6ccb4e31]
#12: /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5(+0x174062) [0x7f6c6ccb5062]
#13: /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5(+0x1c15b4) [0x7f6c6cd025b4]
#14: /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5(+0x1c1fa8) [0x7f6c6cd02fa8]
#15: /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5(_ZN19QApplicationPrivate13notify_helperEP7QObjectP6QEvent+0x82) [0x7f6c6cca2c32]
#16: /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5(_ZN12QApplication6notifyEP7QObjectP6QEvent+0x330) [0x7f6c6ccac190]
#17: /usr/lib/x86_64-linux-gnu/libQt5Core.so.5(_ZN16QCoreApplication15notifyInternal2EP7QObjectP6QEvent+0x182) [0x7f6c6c883a52]
#18: /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5(_ZN22QGuiApplicationPrivate18processExposeEventEPN29QWindowSystemInterfacePrivate11ExposeEventE+0x92) [0x7f6c6466df52]
#19: /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5(_ZN22QGuiApplicationPrivate24processWindowSystemEventEPN29QWindowSystemInterfacePrivate17WindowSystemEventE+0x154) [0x7f6c6466e174]
#20: /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5(_ZN22QWindowSystemInterface22sendWindowSystemEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE+0xbb) [0x7f6c64648ecb]
#21: /usr/lib/x86_64-linux-gnu/libQt5XcbQpa.so.5(+0x71cda) [0x7f6c59c6fcda]
#22: /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x27d) [0x7f6c63da660d]
#23: /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x50890) [0x7f6c63da6890]
#24: /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_iteration+0x2f) [0x7f6c63da691f]
#25: /usr/lib/x86_64-linux-gnu/libQt5Core.so.5(_ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE+0x61) [0x7f6c6c8d97c1]
#26: /usr/lib/x86_64-linux-gnu/libQt5Core.so.5(_ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE+0x12b) [0x7f6c6c8826db]
#27: /usr/lib/x86_64-linux-gnu/libQt5Core.so.5(_ZN16QCoreApplication4execEv+0x92) [0x7f6c6c88a182]
#28: falkon(+0x3905) [0x5558c8c7e905]
#29: /lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xeb) [0x7f6c6c29de0b]
#30: falkon(_start+0x2a) [0x5558c8c7ec3a]



Je me suis dit que c'était une bonne occasion de tester Qutebrowser. Je l'ai donc installé, et, surprise:

13:12:18 WARNING: QStandardPaths: XDG_RUNTIME_DIR not set, defaulting to '/tmp/runtime-seth'
13:12:18 WARNING: QStandardPaths: XDG_RUNTIME_DIR not set, defaulting to '/tmp/runtime-seth'
13:12:18 INFO: Run :adblock-update to get adblock lists.
Erreur de segmentation


Oh joie. (Soit dit en passant, python3-pygments, installé automatiquement avec qutebrowser, n'est pas viré automatiquement quand on vire ce dernier…)

Bon, à ce stade, j'ai encore un Firefox en état de marche, je me dis que bon, je me débrouillerai avec le temps que ça se répare (j'ai eu un souci de segfault au démarrage de Gimp suite à la mise à jour de la semaine précédente, réglé par cette mise à jour là, donc bon, il suffit d'être patient).
Je décide donc de jouer un peu pour me changer les idées. Et là, au lancement de mednafen (je vous passe le reste du retour qui n'a pas grand chose à voir avec la choucroute):

Signal has been caught and dealt with: SIGSEGV
Iyeeeeeeeee!!!  A segmentation fault has occurred.  Have a fluffy day.


On leur donnera un bon point pour la créativité du message d'erreur, mais quand même.

À tout hasard, j'ai remarqué pendant la MàJ d'hier que mednafen avait précisément été mis à jour. Au cas où ce serait ça, je tente un downgrade en activant un snapshot de la semaine dernière, tant qu'à faire. L'opération réussit sans problème, je retente de lancer le jeu… et même résultat. Donc a priori, le souci ne vient pas de mednafen lui-même, mais d'une bibliothèque qu'il utilise, et ça j'n'ai pas identifié laquelle.

Je tente alors quelques autres trucs, histoire de voir. VLC se lance normalement tant que je ne lui demande de lire aucun fichier, mais dès que j'essaye de lancer une lecture, segfault également. Idem pour dolphin-emu, il se lance sans rien, mais crashe dès la tentative de faire tourner un jeu. Là, ça commence à devenir gênant.

Je me dis donc que je vais me mettre à faire les MàJ plus souvent, en espérant que le correctif ne tarde pas trop à arriver. Je re-tente donc une mise à jour ce matin. Quelques trucs mis à jours, dont des bouts de libreoffice (je n'ai pas précisément noté quoi, mais pas tout, vu qu'il reste des paquets listés en «mise à jour dispo sur ce paquet-là mais dépendant d'autres paquets pas installables»).

Sauf que tiens, j'ai précisément du taff à finir avec libreoffice, voyons ça: si j'arrive bien à charger des documents avec Impress et Calc, je crois qu'il y a en revanche un petit souci avec les barres d'outils:
1584799054.png

C'est pire quand j'essaye d'ouvrir un document déjà existant avec Writer:
1584799085.png
(l'appli se ferme évidemment après un clic sur OK)

Bon, sur ce dernier point, pour le coup, heureusement, abiword semble pouvoir prendre le relai sans souci (soit dit en passant, je connais abiword et gnumeric pour remplacer writer et calc respectivement; mais je ne connais pas d'alternative à impress, quelqu'un en aurait une pas mal? J'ai une certaine préférence pour avoir un logiciel dédié à chaque tâche plutôt qu'un gros machin qui fait tout, donc si je pouvais me passer d'impress, j'en profiterais peut-être pour bazarder libreoffice dans son ensemble)

Donc bon. En l'état, j'ai un navigateur et un traitement de texte en état de marche, ça va, je peux continuer à bosser et à passer ici, ça pourrait être pire. Et les soucis de LibreOffice, c'est sans doute un truc à part qui se règlera de lui-même quand ça aura réussi à se mettre à jour (si je ne l'ai pas viré d'ici-là). Néanmoins, je n'ai pas encore essayé tous les logiciels présents sur ma machine, et les segfaults en série sur le reste me font craindre qu'il n'y ait d'autres soucis en prévision. Et étant donné le confinement, tout ça, j'aimerais quand même bien pouvoir compter sur mes jeux vidéos (je sais qu'il existe d'autres alternatives à mednafen, mais bon).
Donc si quelqu'un avait des pistes pour essayer de remettre mon système en état de marche sans trop attendre, ce serait chouette, merci d'avance smile

Oh, et puis tiens, en guise de post scriptum, vu que je cause de mes soucis de MàJ: ça ne date pas de celle-ci, mais depuis un poil plus longtemps (une semaine ou deux, je crois), chaque fois que j'essaye de copier un bout de figure depuis Inkscape (pour le dupliquer, par exemple), j'ai droit à ces deux popups:
1584799137.png 1584799165.png
(la première apparaît deux fois).
Néanmoins, une fois ces popups fermées, ça a l'air de bien marcher, donc c'est lourd, mais pas bloquant.
Le paquet python-uniconvertor semblant ne plus exister dans les dépôts, quelqu'un connaîtrait-il soit un remplaçant, soit une astuce pour que ça arrête de me le réclamer?

Merci :-)

Hors ligne

#2 21-03-2020 14:57:59

otyugh
CA Debian-Facile
Lieu : Quimperlé/Arzano
Distrib. : Debian Stable
Inscription : 20-09-2016
Site Web

Re : [Résolu] Soucis divers après MàJ (notamment segfaults en série)

Sauf si tu as une frankedebian, je suis assez convaincu que les soucis ne viennent pas de la MàJ.

Ça peut être un souci matériel aussi (ram qui déconne, disque dur à secteur mort...). Moi je vérifierai la sortie de

dmesg --level=err,warn


Je vérifierai aussi les stats SMART de mon disque dur/SSD, et j'essayerai aussi de démarrer sur un live (cd/usb) voir si des trucs crashent.

Dernière modification par otyugh (21-03-2020 14:59:11)


datalove-datalove-s1-2.png agendadulibre-lagendadulibre.png arzinfo-arzinfo.png

Hors ligne

#3 21-03-2020 15:23:46

Elzen
Modérateur
Distrib. : Debian Sid GNU/Linux
Noyau : amd64 (à jour le vendredi)
(G)UI : Touhy
Inscription : 01-07-2014

Re : [Résolu] Soucis divers après MàJ (notamment segfaults en série)

Ben, pour Falkon et Mednafen, en tout cas, je suis absolument certain que ça marchait bien avant la MàJ et que c'est depuis elle que ça ne passe plus (les deux testés la veille au soir, et j'ai fait la MàJ à l'allumage de l'ordi le lendemain matin).

Étant donné que c'est un plantage systématique au démarrage desdites applis, alors que Firefox, Xchat, Pidgin, Xfce4-terminal et mes quelques outils codés maisons continuent de tourner sans aucune difficulté, je pense exclure les soucis de RAM : de ce que j'ai vu jusque là, les soucis de RAM, ça fait des plantages aléatoires d'à peu près tout et n'importe quoi au bout d'un temps indéfini, donc ça ne ressemble pas à ça.

dmesg ne renvoie ni erreur ni warning en l'état (aucune ligne de retour avec les options sus-mentionnées).

Je vais tenter de me faire un liveUSB au cas où, mais pour moi, c'est très vraisemblablement une bibli utilisée par les applis qui crashent qui a un souci.

(Tiens, je viens à tout hasard de tenter ScummVM : segfault avant d'arriver à la liste des jeux. Alors que, curieusement, ResidualVM arrive à me lancer Myst Ⅲ sans difficulté)

Dernière modification par Elzen (21-03-2020 15:24:38)

Hors ligne

#4 21-03-2020 16:00:49

otyugh
CA Debian-Facile
Lieu : Quimperlé/Arzano
Distrib. : Debian Stable
Inscription : 20-09-2016
Site Web

Re : [Résolu] Soucis divers après MàJ (notamment segfaults en série)

Est-ce que dans la MàJ ça touchait au kernel ?

datalove-datalove-s1-2.png agendadulibre-lagendadulibre.png arzinfo-arzinfo.png

Hors ligne

#5 21-03-2020 16:07:41

Elzen
Modérateur
Distrib. : Debian Sid GNU/Linux
Noyau : amd64 (à jour le vendredi)
(G)UI : Touhy
Inscription : 01-07-2014

Re : [Résolu] Soucis divers après MàJ (notamment segfaults en série)

Je n'ai pas fait gaffe à tous les paquets. Il y a des logs d'apt quelque part pour savoir ce qui a été changé lors des dernières MàJ, tiens ?

Edit : oui, il y a. Trouvé dans /var/log/apt/history.log :

Start-Date: 2020-03-20  11:20:53
Commandline: apt upgrade --with-new-pkgs --no-install-recommends
Install: ruby2.7:amd64 (2.7.0-4, automatic), libruby2.7:amd64 (2.7.0-4, automatic), ruby-optimist:amd64 (3.0.0-2, automatic)
Upgrade: libgphoto2-port12:amd64 (2.5.23-2, 2.5.24-1), libgphoto2-port12:i386 (2.5.23-2, 2.5.24-1), glib-networking-services:amd64 (2.62.3-1, 2.64.0-1), dconf-editor:amd64 (3.35.91-2, 3.36.0-1), handbrake:amd64 (1.3.1+ds1-1, 1.3.1+ds1-2), sysvinit-utils:amd64 (2.96-2.1, 2.96-3), libgcr-base-3-1:amd64 (3.34.0-1, 3.36.0-2), vim-common:amd64 (2:8.2.0368-1, 2:8.2.0397-1), lolcat:amd64 (42.0.99-1, 100.0.1-2), gcc-9-base:amd64 (9.3.0-1, 9.3.0-3), gcc-9-base:i386 (9.3.0-1, 9.3.0-3), openssl:amd64 (1.1.1d-2, 1.1.1e-1), libllvm9:amd64 (1:9.0.1-9, 1:9.0.1-10), libllvm9:i386 (1:9.0.1-9, 1:9.0.1-10), libgphoto2-6:amd64 (2.5.23-2, 2.5.24-1), libgphoto2-6:i386 (2.5.23-2, 2.5.24-1), libegl-mesa0:amd64 (19.3.3-1, 20.0.2-1), libctf-nobfd0:amd64 (2.34-4, 2.34-5), git-man:amd64 (1:2.25.1-1, 1:2.26.0~rc2-1), libgegl-0.4-0:amd64 (0.4.22-1, 0.4.22-3), libsystemd0:amd64 (245-2, 245.2-1), libsystemd0:i386 (245-2, 245.2-1), glib-networking:amd64 (2.62.3-1, 2.64.0-1), glib-networking:i386 (2.62.3-1, 2.64.0-1), gcc-10-base:amd64 (10-20200304-1, 10-20200312-2), gcc-10-base:i386 (10-20200304-1, 10-20200312-2), libobjc4:amd64 (10-20200304-1, 10-20200312-2), libgs9:amd64 (9.51~dfsg-1, 9.52~dfsg-1), cpp-9:amd64 (9.3.0-1, 9.3.0-3), ruby-xmlparser:amd64 (0.7.3-3+b3, 0.7.3-3+b4), libkmod2:amd64 (27-1, 27-2), libglapi-mesa:amd64 (19.3.3-1, 20.0.2-1), libglapi-mesa:i386 (19.3.3-1, 20.0.2-1), vim-gtk:amd64 (2:8.2.0368-1, 2:8.2.0397-1), libxkbfile1:amd64 (1:1.0.9-2+b12, 1:1.1.0-1), libdbusmenu-glib4:amd64 (18.10.20180917~bzr492+repack1-1, 18.10.20180917~bzr492+repack1-2), python-gi:amd64 (3.34.0-6, 3.36.0-1), binutils:amd64 (2.34-4, 2.34-5), libgegl-common:amd64 (0.4.22-1, 0.4.22-3), libitm1:amd64 (10-20200304-1, 10-20200312-2), libusrsctp1:amd64 (0.9.3.0+20190901-1, 0.9.3.0+20200312-1), python3-gi-cairo:amd64 (3.34.0-6, 3.36.0-1), at-spi2-core:amd64 (2.36.0-1, 2.36.0-2), libspecio-perl:amd64 (0.45-1, 0.46-1), liblognorm5:amd64 (2.0.5-1+b1, 2.0.5-1.1), gimp-data:amd64 (2.10.14-2, 2.10.14-3), runit-helper:amd64 (2.8.14, 2.8.15), git:amd64 (1:2.25.1-1, 1:2.26.0~rc2-1), libxatracker2:amd64 (19.3.3-1, 20.0.2-1), python3-idna:amd64 (2.6-2, 2.8-1), udev:amd64 (245-2, 245.2-1), python3-sip:amd64 (4.19.21+dfsg-1, 4.19.21+dfsg-2), libreoffice-l10n-fr:amd64 (1:6.4.1-1, 1:6.4.2-1), libnotmuch5:amd64 (0.29.3-1+b1, 0.29.3-1+b2), libasan5:amd64 (9.3.0-1, 9.3.0-3), libquadmath0:amd64 (10-20200304-1, 10-20200312-2), xdg-utils:amd64 (1.1.3-1, 1.1.3-2), glib-networking-common:amd64 (2.62.3-1, 2.64.0-1), kmod:amd64 (27-1, 27-2), libudev1:amd64 (245-2, 245.2-1), libudev1:i386 (245-2, 245.2-1), libgcr-ui-3-1:amd64 (3.34.0-1, 3.36.0-2), libgbm1:amd64 (19.3.3-1, 20.0.2-1), libgcc1:amd64 (1:10-20200304-1, 1:10-20200312-2), python3-pycurl:amd64 (7.43.0.2-1, 7.43.0.2-2), ruby-unicode:amd64 (0.4.4-2+b10, 0.4.4-2+b11), libgmime-3.0-0:amd64 (3.2.6-1, 3.2.6-2), binutils-x86-64-linux-gnu:amd64 (2.34-4, 2.34-5), gimp:amd64 (2.10.14-2+b1, 2.10.14-3), libinput-bin:amd64 (1.15.3-1, 1.15.4-1), libva2:amd64 (2.6.1-1, 2.7.0~pre1-1), libva2:i386 (2.6.1-1, 2.7.0~pre1-1), mednafen:amd64 (1.22.2+dfsg-1, 1.24.1+dfsg-1), libtsan0:amd64 (10-20200304-1, 10-20200312-2), adwaita-icon-theme:amd64 (3.34.0-2, 3.36.0-1), libubsan1:amd64 (10-20200304-1, 10-20200312-2), libatspi2.0-0:amd64 (2.36.0-1, 2.36.0-2), libatspi2.0-0:i386 (2.36.0-1, 2.36.0-2), libprotobuf-lite17:amd64 (3.6.1.3-2+b2, 3.6.1.3-2+b3), libjbig2dec0:amd64 (0.17-1, 0.18-1), ruby:amd64 (1:2.5.7.1, 1:2.7), libgfortran5:amd64 (10-20200304-1, 10-20200312-2), tar:amd64 (1.30+dfsg-6+b1, 1.30+dfsg-7), guile-2.2-libs:amd64 (2.2.6+1-1+b1, 2.2.7+1-2), gcc-9:amd64 (9.3.0-1, 9.3.0-3), libreoffice-style-colibre:amd64 (1:6.4.1-1, 1:6.4.2-1), vim-runtime:amd64 (2:8.2.0368-1, 2:8.2.0397-1), mupdf:amd64 (1.16.1+ds1-1, 1.16.1+ds1-2), libselinux1:amd64 (3.0-1+b1, 3.0-1+b2), libselinux1:i386 (3.0-1+b1, 3.0-1+b2), vim:amd64 (2:8.2.0368-1, 2:8.2.0397-1), libgck-1-0:amd64 (3.34.0-1, 3.36.0-2), libreoffice-common:amd64 (1:6.4.1-1, 1:6.4.2-1), ghostscript:amd64 (9.51~dfsg-1, 9.52~dfsg-1), liblsan0:amd64 (10-20200304-1, 10-20200312-2), libgomp1:amd64 (10-20200304-1, 10-20200312-2), libgomp1:i386 (10-20200304-1, 10-20200312-2), usb.ids:amd64 (2020.02.28-1, 2020.03.19-1), notmuch:amd64 (0.29.3-1+b1, 0.29.3-1+b2), ruby-power-assert:amd64 (1.1.5-1, 1.1.6-1), xxd:amd64 (2:8.2.0368-1, 2:8.2.0397-1), ghostscript-x:amd64 (9.51~dfsg-1, 9.52~dfsg-1), libgl1-mesa-dri:amd64 (19.3.3-1, 20.0.2-1), libgl1-mesa-dri:i386 (19.3.3-1, 20.0.2-1), libosmesa6:amd64 (19.3.3-1, 20.0.2-1), vim-gui-common:amd64 (2:8.2.0368-1, 2:8.2.0397-1), libgs9-common:amd64 (9.51~dfsg-1, 9.52~dfsg-1), binutils-common:amd64 (2.34-4, 2.34-5), libgcc-s1:amd64 (10-20200304-1, 10-20200312-2), libgcc-s1:i386 (10-20200304-1, 10-20200312-2), libdbusmenu-gtk3-4:amd64 (18.10.20180917~bzr492+repack1-1, 18.10.20180917~bzr492+repack1-2), initscripts:amd64 (2.96-2.1, 2.96-3), libatk-bridge2.0-0:amd64 (2.34.1-2, 2.34.1-3), libatk-bridge2.0-0:i386 (2.34.1-2, 2.34.1-3), libgimp2.0:amd64 (2.10.14-2+b1, 2.10.14-3), python3-gi:amd64 (3.34.0-6, 3.36.0-1), fonts-opensymbol:amd64 (2:102.11+LibO6.4.1-1, 2:102.11+LibO6.4.2-1), logrotate:amd64 (3.15.1-2, 3.16.0-2), libbinutils:amd64 (2.34-4, 2.34-5), vim-gtk3:amd64 (2:8.2.0368-1, 2:8.2.0397-1), libva-x11-2:amd64 (2.6.1-1, 2.7.0~pre1-1), libva-x11-2:i386 (2.6.1-1, 2.7.0~pre1-1), libva-wayland2:amd64 (2.6.1-1, 2.7.0~pre1-1), vim-tiny:amd64 (2:8.2.0368-1, 2:8.2.0397-1), libreoffice-style-tango:amd64 (1:6.4.1-1, 1:6.4.2-1), libva-drm2:amd64 (2.6.1-1, 2.7.0~pre1-1), libva-drm2:i386 (2.6.1-1, 2.7.0~pre1-1), python-gi-cairo:amd64 (3.34.0-6, 3.36.0-1), libatomic1:amd64 (10-20200304-1, 10-20200312-2), libatomic1:i386 (10-20200304-1, 10-20200312-2), libssl1.1:amd64 (1.1.1d-2, 1.1.1e-1), libssl1.1:i386 (1.1.1d-2, 1.1.1e-1), gzip:amd64 (1.10-1, 1.10-2), libcc1-0:amd64 (10-20200304-1, 10-20200312-2), libprotobuf17:amd64 (3.6.1.3-2+b2, 3.6.1.3-2+b3), libbluetooth3:amd64 (5.50-1+b1, 5.50-1.1), sysv-rc:amd64 (2.96-2.1, 2.96-3), ruby-debian:amd64 (0.3.10+b2, 0.3.10+b3), libstdc++6:amd64 (10-20200304-1, 10-20200312-2), libstdc++6:i386 (10-20200304-1, 10-20200312-2), libjs-sphinxdoc:amd64 (1.8.5-5, 1.8.5-6), liblirc-client0:amd64 (0.10.1-6, 0.10.1-6.1), libglib2.0-0:amd64 (2.64.0-2, 2.64.1-1), libglib2.0-0:i386 (2.64.0-2, 2.64.1-1), libinput10:amd64 (1.15.3-1, 1.15.4-1), libctf0:amd64 (2.34-4, 2.34-5), libgcc-9-dev:amd64 (9.3.0-1, 9.3.0-3), libglx-mesa0:amd64 (19.3.3-1, 20.0.2-1), libglx-mesa0:i386 (19.3.3-1, 20.0.2-1)
End-Date: 2020-03-20  11:22:17


Et pour ce matin :

Start-Date: 2020-03-21  11:39:35
Commandline: apt upgrade --with-new-pkgs --no-install-recommends
Upgrade: python3-roman:amd64 (2.0.0-3, 2.0.0-4), uno-libs-private:amd64 (1:6.4.2-1, 1:6.4.2-2), libuno-salhelpergcc3-3:amd64 (1:6.4.2-1, 1:6.4.2-2), wireless-tools:amd64 (30~pre9-13+b1, 30~pre9-13.1), xchat-common:amd64 (2.8.8-19, 2.8.8-20), libiw30:amd64 (30~pre9-13+b1, 30~pre9-13.1), libreoffice-l10n-fr:amd64 (1:6.4.2-1, 1:6.4.2-2), libuno-cppuhelpergcc3-3:amd64 (1:6.4.2-1, 1:6.4.2-2), libuno-purpenvhelpergcc3-3:amd64 (1:6.4.2-1, 1:6.4.2-2), python-roman:amd64 (2.0.0-3, 2.0.0-4), libreoffice-style-colibre:amd64 (1:6.4.2-1, 1:6.4.2-2), ure:amd64 (1:6.4.2-1, 1:6.4.2-2), vim:amd64 (2:8.2.0397-1, 2:8.2.0397-1+b1), libcolord2:amd64 (1.4.4-1, 1.4.4-2), libcolord2:i386 (1.4.4-1, 1.4.4-2), xxd:amd64 (2:8.2.0397-1, 2:8.2.0397-1+b1), libuno-cppu3:amd64 (1:6.4.2-1, 1:6.4.2-2), fonts-opensymbol:amd64 (2:102.11+LibO6.4.2-1, 2:102.11+LibO6.4.2-2), vim-gtk3:amd64 (2:8.2.0397-1, 2:8.2.0397-1+b1), vim-tiny:amd64 (2:8.2.0397-1, 2:8.2.0397-1+b1), libreoffice-style-tango:amd64 (1:6.4.2-1, 1:6.4.2-2), libuno-sal3:amd64 (1:6.4.2-1, 1:6.4.2-2), libbluetooth3:amd64 (5.50-1.1, 5.50-1.2), libjs-sphinxdoc:amd64 (1.8.5-6, 1.8.5-7), xchat:amd64 (2.8.8-19, 2.8.8-20)
End-Date: 2020-03-21  11:39:44

Dernière modification par Elzen (21-03-2020 16:27:50)

Hors ligne

#6 21-03-2020 16:40:47

vv222
Administrateur
Lieu : Bretagne
Distrib. : GNU/Linux Debian « Sid »
Noyau : Linux ≥ 5.9 (amd64)
(G)UI : Openbox
Inscription : 18-11-2013
Site Web

Re : [Résolu] Soucis divers après MàJ (notamment segfaults en série)

Je suis sûr à quasi-100% que ces bugs sont liés d’une manière ou d’une autre à la mise-à-jour de Mesa de 19.3.3 vers 20.0.2.

Je te suggère d’installer les versions de testing des paquets suivants :

  • libegl-mesa0:amd64

  • libglapi-mesa:amd64

  • libglapi-mesa:i386

  • libxatracker2:amd64

  • libgbm1:amd64

  • libgl1-mesa-dri:amd64

  • libgl1-mesa-dri:i386

  • libosmesa6:amd64

  • libglx-mesa0:amd64

  • libglx-mesa0:i386


apt install libegl-mesa0:amd64=19.3.3-1 libxatracker2:amd64=19.3.3-1 libgbm1:amd64=19.3.3-1 libosmesa6:amd64=19.3.3-1 libglapi-mesa:i386=19.3.3-1 libglapi-mesa:amd64=19.3.3-1 libgl1-mesa-dri:i386=19.3.3-1 libgl1-mesa-dri:amd64=19.3.3-1 libglx-mesa0:i386=19.3.3-1 libglx-mesa0:amd64=19.3.3-1


Jouer sous Debian ? Facile !

Hors ligne

#7 21-03-2020 16:51:38

Elzen
Modérateur
Distrib. : Debian Sid GNU/Linux
Noyau : amd64 (à jour le vendredi)
(G)UI : Touhy
Inscription : 01-07-2014

Re : [Résolu] Soucis divers après MàJ (notamment segfaults en série)

\o/

Bien vu, ça semble effectivement avoir marché smile

Du moins, Falkon, Mednafen et ScummVM ont l'air d'être revenus, et je commence à tester Qutebrowser qui ne segfaulte plus non plus.

Je vérifierai le reste un brin plus tard.


Évidemment, les problèmes liés à LibreOffice et Inkscape signalés dans le même post n'ont, eux, pas de lien avec ça et se posent toujours, donc je prends les suggestions à ce sujet s'il y en a (un remplaçant pour Impress qui me permettrait de basculer sur des logiciels dédiés plutôt qu'un seul gros machin serait une suggestion satisfaisante dans le premier cas wink)

J'attends encore un poil pour être sûr avant de passer en résolu.

Hors ligne

#8 21-03-2020 17:11:49

otyugh
CA Debian-Facile
Lieu : Quimperlé/Arzano
Distrib. : Debian Stable
Inscription : 20-09-2016
Site Web

Re : [Résolu] Soucis divers après MàJ (notamment segfaults en série)

vv222 a écrit :

Je suis sûr à quasi-100% que ces bugs sont liés d’une manière ou d’une autre à la mise-à-jour de Mesa de 19.3.3 vers 20.0.2.


J'aurai littéralement jamais pensé à ça é_è
Je savais pas que debian faisait des sauts risqué de version comme ça.

Dernière modification par otyugh (21-03-2020 17:12:28)


datalove-datalove-s1-2.png agendadulibre-lagendadulibre.png arzinfo-arzinfo.png

Hors ligne

#9 21-03-2020 20:07:02

vv222
Administrateur
Lieu : Bretagne
Distrib. : GNU/Linux Debian « Sid »
Noyau : Linux ≥ 5.9 (amd64)
(G)UI : Openbox
Inscription : 18-11-2013
Site Web

Re : [Résolu] Soucis divers après MàJ (notamment segfaults en série)

otyugh a écrit :

vv222 a écrit :

Je suis sûr à quasi-100% que ces bugs sont liés d’une manière ou d’une autre à la mise-à-jour de Mesa de 19.3.3 vers 20.0.2.


J'aurai littéralement jamais pensé à ça é_è



L’indice était ces lignes dans la backtrace générée par gdb :

/usr/lib/x86_64-linux-gnu/dri/iris_dri.so


Mais je triche, à force de bidouiller des jeux vidéo plus ou moins biens codés (ça veut dire surtout moins bien), je commence à être plutôt à l’aise pour reconnaîtres des soucis liés à Mesa wink

otyugh a écrit :

Je savais pas que debian faisait des sauts risqué de version comme ça.


C’est une Debian Sid, si elle ne casse pas des trucs une fois de temps en temps elle va avoir du mal à maintenir sa réputation…
À savoir que Mesa 20 était en test dans experimental depuis un moment, et qu’il n’y a finalement pas un si gros saut de version que ça, la version 20.0 suivant directement la version 19.3.


Jouer sous Debian ? Facile !

Hors ligne

#10 21-03-2020 21:21:55

otyugh
CA Debian-Facile
Lieu : Quimperlé/Arzano
Distrib. : Debian Stable
Inscription : 20-09-2016
Site Web

Re : [Résolu] Soucis divers après MàJ (notamment segfaults en série)

vv222 a écrit :

C’est une Debian Sid


C'te manque d'attention. Il le dit en premier en plus, mais j'ai pas imprimé.  *bang*


datalove-datalove-s1-2.png agendadulibre-lagendadulibre.png arzinfo-arzinfo.png

Hors ligne

#11 27-03-2020 10:50:50

Elzen
Modérateur
Distrib. : Debian Sid GNU/Linux
Noyau : amd64 (à jour le vendredi)
(G)UI : Touhy
Inscription : 01-07-2014

Re : [Résolu] Soucis divers après MàJ (notamment segfaults en série)

Pour info, vu qu'on est vendredi, je viens de tester une MàJ classique, et le problème avec mesa est visiblement toujours là.

La manip' proposée par vv221 fonctionne toujours pour réparer le souci, ceci dit ^^


Du coup, deux questions :
– Je passe en résolu tout de suite pour signifier aux gens qui auraient le même problème qu'on a une solution ici ; ou bien j'attends que le problème ait été réglé dans les dépôts pour signifier que le souci ne se pose plus ?
– Je garde le dépôt pour testing activé ou pas ? Usuellement, je n'ai que les dépôts de Sid et d'experimental, avec un pinning négatif pour ce dernier.


Sinon, j'avais réussi à réparer LibreOffice en piochant je-ne-sais-plus-quel paquet dans les dépôts testing aussi, donc ce souci-là est réglé également ; même si je continue de bien vouloir d'éventuelles suggestions pour un remplaçant à Impress, ne serait-ce que par principe. En revanche, Inkscape continue de râler à chaque tentative de copier-coller, c'est assez lourd…

Hors ligne

#12 27-03-2020 15:46:06

robert2a
Membre
Distrib. : debian 11
(G)UI : Mate
Inscription : 15-11-2014

Re : [Résolu] Soucis divers après MàJ (notamment segfaults en série)

Bonjour
tu dois avoir un mélange de version
il serait mieux de revenir a la version de testing le temps que ce soit résolu

mesa a énormément de de dépendances en autre les DRM , ma version sur testing est la  19.3.3-1 (pas forcément a jour  roll  )
tous les paquets en version 20.x.x ne sont peut être pas dans sid (ou des dépendances importantes d'autres version de paquet )
ou un éventuel bug , il faut patienter dans ce cas
moi en sid , je garde testing et sid sur mon sources.list (actuellement je suis sage en testing uniquement )

ps: pour test (mesa expérimental)  il m'est arrivé de fonctionner avec testing + sid + expérimental , mais faut être prudent  tongue
et savoir revenir en arrière le cas ou  roll

regarde les dépendances de libgl1-mesa-dri et tu aura tout compris (en autre )
la liste de vv222 est une partie seulement  =>  https://www.mesa3d.org/relnotes/20.0.2.html
par exemple aussi la version de LLVM
sur certain matériel graphique il risque d'avoir des bugs

Hors ligne

#13 27-03-2020 16:04:50

robert2a
Membre
Distrib. : debian 11
(G)UI : Mate
Inscription : 15-11-2014

Re : [Résolu] Soucis divers après MàJ (notamment segfaults en série)

re,
j'ai regardé la différence entre testing et sid aujourd'hui , voici le listing


apt list --upgradable
En train de lister... Fait
apt-transport-https/unstable,unstable 2.0.1 all [pouvant être mis à jour depuis : 2.0.0]
apt-utils/unstable 2.0.1 amd64 [pouvant être mis à jour depuis : 2.0.0]
apt/unstable 2.0.1 amd64 [pouvant être mis à jour depuis : 2.0.0]
bind9-host/unstable 1:9.16.1-2 amd64 [pouvant être mis à jour depuis : 1:9.11.16+dfsg-2]
console-setup-linux/unstable,unstable 1.195 all [pouvant être mis à jour depuis : 1.194]
console-setup/unstable,unstable 1.195 all [pouvant être mis à jour depuis : 1.194]
cpp-8/unstable 8.4.0-2 amd64 [pouvant être mis à jour depuis : 8.4.0-1]
cpp-9/unstable 9.3.0-8 amd64 [pouvant être mis à jour depuis : 9.3.0-3]
debhelper/unstable,unstable 12.10 all [pouvant être mis à jour depuis : 12.9]
dirmngr/unstable 2.2.20-1 amd64 [pouvant être mis à jour depuis : 2.2.19-3]
dnsutils/unstable,unstable 1:9.16.1-2 amd64 [pouvant être mis à jour depuis : 1:9.11.16+dfsg-2]
fonts-noto-core/unstable,unstable 20200323-1 all [pouvant être mis à jour depuis : 20200103-3]
fonts-noto-hinted/unstable,unstable 20200323-1 all [pouvant être mis à jour depuis : 20200103-3]
fonts-noto-mono/unstable,unstable 20200323-1 all [pouvant être mis à jour depuis : 20200103-3]
fonts-noto-ui-core/unstable,unstable 20200323-1 all [pouvant être mis à jour depuis : 20200103-3]
fonts-opensymbol/unstable,unstable 2:102.11+LibO6.4.2-2 all [pouvant être mis à jour depuis : 2:102.11+LibO6.4.1-1]
fuse/unstable 2.9.9-3 amd64 [pouvant être mis à jour depuis : 2.9.9-2]
g++-9/unstable 9.3.0-8 amd64 [pouvant être mis à jour depuis : 9.3.0-3]
gcc-8-base/unstable 8.4.0-2 amd64 [pouvant être mis à jour depuis : 8.4.0-1]
gcc-8/unstable 8.4.0-2 amd64 [pouvant être mis à jour depuis : 8.4.0-1]
gcc-9-base/unstable 9.3.0-8 amd64 [pouvant être mis à jour depuis : 9.3.0-3]
gcc-9-base/unstable 9.3.0-8 i386 [pouvant être mis à jour depuis : 9.3.0-3]
gcc-9/unstable 9.3.0-8 amd64 [pouvant être mis à jour depuis : 9.3.0-3]
gedit-common/unstable,unstable 3.36.1-1 all [pouvant être mis à jour depuis : 3.36.0-3]
gedit/unstable 3.36.1-1 amd64 [pouvant être mis à jour depuis : 3.36.0-3]
gir1.2-freedesktop/unstable 1.62.0-5+b1 amd64 [pouvant être mis à jour depuis : 1.62.0-5]
gir1.2-glib-2.0/unstable 1.62.0-5+b1 amd64 [pouvant être mis à jour depuis : 1.62.0-5]
gir1.2-gst-plugins-base-1.0/unstable 1.16.2-4 amd64 [pouvant être mis à jour depuis : 1.16.2-2]
gnome-keyring-pkcs11/unstable 3.36.0-1 amd64 [pouvant être mis à jour depuis : 3.34.0-1]
gnome-keyring/unstable 3.36.0-1 amd64 [pouvant être mis à jour depuis : 3.34.0-1]
gnupg-agent/unstable,unstable 2.2.20-1 all [pouvant être mis à jour depuis : 2.2.19-3]
gnupg-l10n/unstable,unstable 2.2.20-1 all [pouvant être mis à jour depuis : 2.2.19-3]
gnupg-utils/unstable 2.2.20-1 amd64 [pouvant être mis à jour depuis : 2.2.19-3]
gnupg/unstable,unstable 2.2.20-1 all [pouvant être mis à jour depuis : 2.2.19-3]
gpg-agent/unstable 2.2.20-1 amd64 [pouvant être mis à jour depuis : 2.2.19-3]
gpg-wks-client/unstable 2.2.20-1 amd64 [pouvant être mis à jour depuis : 2.2.19-3]
gpg-wks-server/unstable 2.2.20-1 amd64 [pouvant être mis à jour depuis : 2.2.19-3]
gpg/unstable 2.2.20-1 amd64 [pouvant être mis à jour depuis : 2.2.19-3]
gpgconf/unstable 2.2.20-1 amd64 [pouvant être mis à jour depuis : 2.2.19-3]
gpgsm/unstable 2.2.20-1 amd64 [pouvant être mis à jour depuis : 2.2.19-3]
gpgv/unstable 2.2.20-1 amd64 [pouvant être mis à jour depuis : 2.2.19-3]
gstreamer1.0-gl/unstable 1.16.2-4 amd64 [pouvant être mis à jour depuis : 1.16.2-2]
gstreamer1.0-plugins-base/unstable 1.16.2-4 amd64 [pouvant être mis à jour depuis : 1.16.2-2]
gstreamer1.0-plugins-good/unstable 1.16.2-3 amd64 [pouvant être mis à jour depuis : 1.16.2-2]
gstreamer1.0-pulseaudio/unstable 1.16.2-3 amd64 [pouvant être mis à jour depuis : 1.16.2-2]
gstreamer1.0-x/unstable 1.16.2-4 amd64 [pouvant être mis à jour depuis : 1.16.2-2]
hplip-data/unstable,unstable 3.20.3+dfsg0-1 all [pouvant être mis à jour depuis : 3.20.2+dfsg0-1+deb11u1]
hplip/unstable 3.20.3+dfsg0-1 amd64 [pouvant être mis à jour depuis : 3.20.2+dfsg0-1+deb11u1]
isc-dhcp-client/unstable 4.4.1-2.1+b2 amd64 [pouvant être mis à jour depuis : 4.4.1-2.1+b1]
isc-dhcp-common/unstable 4.4.1-2.1+b2 amd64 [pouvant être mis à jour depuis : 4.4.1-2.1+b1]
keyboard-configuration/unstable,unstable 1.195 all [pouvant être mis à jour depuis : 1.194]
libapt-pkg6.0/unstable 2.0.1 amd64 [pouvant être mis à jour depuis : 2.0.0]
libasan5/unstable 9.3.0-8 amd64 [pouvant être mis à jour depuis : 9.3.0-3]
libbind9-161/unstable 1:9.11.17+dfsg-4 amd64 [pouvant être mis à jour depuis : 1:9.11.16+dfsg-2]
libc-bin/unstable 2.30-4 amd64 [pouvant être mis à jour depuis : 2.30-2]
libc-dev-bin/unstable 2.30-4 amd64 [pouvant être mis à jour depuis : 2.30-2]
libc-l10n/unstable,unstable 2.30-4 all [pouvant être mis à jour depuis : 2.30-2]
libc6-dbg/unstable 2.30-4 amd64 [pouvant être mis à jour depuis : 2.30-2]
libc6-dev/unstable 2.30-4 amd64 [pouvant être mis à jour depuis : 2.30-2]
libc6-i386/unstable 2.30-4 amd64 [pouvant être mis à jour depuis : 2.30-2]
libc6/unstable 2.30-4 amd64 [pouvant être mis à jour depuis : 2.30-2]
libc6/unstable 2.30-4 i386 [pouvant être mis à jour depuis : 2.30-2]
libcap-ng0/unstable 0.7.9-2.1+b2 amd64 [pouvant être mis à jour depuis : 0.7.9-2.1+b1]
libcryptsetup12/unstable 2:2.3.1-1 amd64 [pouvant être mis à jour depuis : 2:2.3.0-1]
libdebhelper-perl/unstable,unstable 12.10 all [pouvant être mis à jour depuis : 12.9]
libdvdnav4/unstable 6.1.0-1 amd64 [pouvant être mis à jour depuis : 6.0.1-1+b1]
libegl-mesa0/unstable 20.0.2-1 amd64 [pouvant être mis à jour depuis : 19.3.3-1]
libegl-mesa0/unstable 20.0.2-1 i386 [pouvant être mis à jour depuis : 19.3.3-1]
libegl1-mesa/unstable 20.0.2-1 amd64 [pouvant être mis à jour depuis : 19.3.3-1]
libffi-dev/unstable 3.3-4 amd64 [pouvant être mis à jour depuis : 3.3-3]
libffi7/unstable 3.3-4 amd64 [pouvant être mis à jour depuis : 3.3-3]
libffi7/unstable 3.3-4 i386 [pouvant être mis à jour depuis : 3.3-3]
libfuse2/unstable 2.9.9-3 amd64 [pouvant être mis à jour depuis : 2.9.9-2]
libfwupd2/unstable 1.3.9-3 amd64 [pouvant être mis à jour depuis : 1.3.9-2]
libgbm1/unstable 20.0.2-1 amd64 [pouvant être mis à jour depuis : 19.3.3-1]
libgbm1/unstable 20.0.2-1 i386 [pouvant être mis à jour depuis : 19.3.3-1]
libgcc-8-dev/unstable 8.4.0-2 amd64 [pouvant être mis à jour depuis : 8.4.0-1]
libgcc-9-dev/unstable 9.3.0-8 amd64 [pouvant être mis à jour depuis : 9.3.0-3]
libgirepository-1.0-1/unstable 1.62.0-5+b1 amd64 [pouvant être mis à jour depuis : 1.62.0-5]
libgl1-mesa-dri/unstable 20.0.2-1 amd64 [pouvant être mis à jour depuis : 19.3.3-1]
libgl1-mesa-dri/unstable 20.0.2-1 i386 [pouvant être mis à jour depuis : 19.3.3-1]
libgl1-mesa-glx/unstable 20.0.2-1 amd64 [pouvant être mis à jour depuis : 19.3.3-1]
libgl1-mesa-glx/unstable 20.0.2-1 i386 [pouvant être mis à jour depuis : 19.3.3-1]
libglapi-mesa/unstable 20.0.2-1 amd64 [pouvant être mis à jour depuis : 19.3.3-1]
libglapi-mesa/unstable 20.0.2-1 i386 [pouvant être mis à jour depuis : 19.3.3-1]
libgles2-mesa/unstable 20.0.2-1 amd64 [pouvant être mis à jour depuis : 19.3.3-1]
libglx-mesa0/unstable 20.0.2-1 amd64 [pouvant être mis à jour depuis : 19.3.3-1]
libglx-mesa0/unstable 20.0.2-1 i386 [pouvant être mis à jour depuis : 19.3.3-1]
libgpgme11/unstable 1.13.1-7 amd64 [pouvant être mis à jour depuis : 1.13.1-6]
libgpgmepp6/unstable 1.13.1-7 amd64 [pouvant être mis à jour depuis : 1.13.1-6]
libgstreamer-gl1.0-0/unstable 1.16.2-4 amd64 [pouvant être mis à jour depuis : 1.16.2-2]
libgstreamer-plugins-base1.0-0/unstable 1.16.2-4 amd64 [pouvant être mis à jour depuis : 1.16.2-2]
libhogweed4/unstable 3.5.1+really3.4.1-1 amd64 [pouvant être mis à jour depuis : 3.4.1-1+b1]
libhpmud0/unstable 3.20.3+dfsg0-1 amd64 [pouvant être mis à jour depuis : 3.20.2+dfsg0-1+deb11u1]
libimobiledevice6/unstable 1.2.1~git20191129.9f79242-1+b1 amd64 [pouvant être mis à jour depuis : 1.2.1~git20191129.9f79242-1]
libipc-system-simple-perl/unstable,unstable 1.30-1 all [pouvant être mis à jour depuis : 1.26-1]
libirs161/unstable 1:9.11.17+dfsg-4 amd64 [pouvant être mis à jour depuis : 1:9.11.16+dfsg-2]
libisc-export1105/unstable 1:9.11.17+dfsg-4 amd64 [pouvant être mis à jour depuis : 1:9.11.16+dfsg-2]
libisc1105/unstable 1:9.11.17+dfsg-4 amd64 [pouvant être mis à jour depuis : 1:9.11.16+dfsg-2]
libisccc161/unstable 1:9.11.17+dfsg-4 amd64 [pouvant être mis à jour depuis : 1:9.11.16+dfsg-2]
libisccfg163/unstable 1:9.11.17+dfsg-4 amd64 [pouvant être mis à jour depuis : 1:9.11.16+dfsg-2]
libjuh-java/unstable,unstable 1:6.4.2-2 all [pouvant être mis à jour depuis : 1:6.4.1-1]
libjurt-java/unstable,unstable 1:6.4.2-2 all [pouvant être mis à jour depuis : 1:6.4.1-1]
libldb2/unstable 2:2.0.8-2 amd64 [pouvant être mis à jour depuis : 2:2.0.8-1]
liblmdb0/unstable 0.9.24-1 amd64 [pouvant être mis à jour depuis : 0.9.22-1]
liblwres161/unstable 1:9.11.17+dfsg-4 amd64 [pouvant être mis à jour depuis : 1:9.11.16+dfsg-2]
libmpx2/unstable 8.4.0-2 amd64 [pouvant être mis à jour depuis : 8.4.0-1]
libmtp-common/unstable,unstable 1.1.17-3 all [pouvant être mis à jour depuis : 1.1.17-2]
libmtp-runtime/unstable 1.1.17-3 amd64 [pouvant être mis à jour depuis : 1.1.17-2]
libmtp9/unstable 1.1.17-3 amd64 [pouvant être mis à jour depuis : 1.1.17-2]
libnettle6/unstable 3.5.1+really3.4.1-1 amd64 [pouvant être mis à jour depuis : 3.4.1-1+b1]
libnode64/unstable 10.19.0~dfsg-3 amd64 [pouvant être mis à jour depuis : 10.17.0~dfsg-2]
libnss-myhostname/unstable 245.2-1 amd64 [pouvant être mis à jour depuis : 244.3-1]
libnss-systemd/unstable 245.2-1 amd64 [pouvant être mis à jour depuis : 244.3-1]
libnss3/unstable 2:3.50-1 amd64 [pouvant être mis à jour depuis : 2:3.49.1-1]
libobjc-8-dev/unstable 8.4.0-2 amd64 [pouvant être mis à jour depuis : 8.4.0-1]
libopencolorio1v5/unstable 1.1.1~dfsg0-6+b1 amd64 [pouvant être mis à jour depuis : 1.1.1~dfsg0-6]
libostree-1-1/unstable 2020.3-1 amd64 [pouvant être mis à jour depuis : 2020.2-1]
libpam-systemd/unstable 245.2-1 amd64 [pouvant être mis à jour depuis : 244.3-1]
libpcap0.8/unstable 1.9.1-3 amd64 [pouvant être mis à jour depuis : 1.9.1-2]
libplist3/unstable 2.1.0-4+b1 amd64 [pouvant être mis à jour depuis : 2.1.0-4]
libpq5/unstable 12.2-3 amd64 [pouvant être mis à jour depuis : 12.2-1+b1]
libpython3-stdlib/unstable 3.8.2-2 amd64 [pouvant être mis à jour depuis : 3.7.5-3]
libridl-java/unstable,unstable 1:6.4.2-2 all [pouvant être mis à jour depuis : 1:6.4.1-1]
libsane-hpaio/unstable 3.20.3+dfsg0-1 amd64 [pouvant être mis à jour depuis : 3.20.2+dfsg0-1+deb11u1]
libselinux1/unstable 3.0-1+b2 amd64 [pouvant être mis à jour depuis : 3.0-1+b1]
libsemanage1/unstable 3.0-1+b2 amd64 [pouvant être mis à jour depuis : 3.0-1+b1]
libsmbclient/unstable 2:4.11.5+dfsg-1+b1 amd64 [pouvant être mis à jour depuis : 2:4.11.5+dfsg-1]
libsoxr0/unstable 0.1.3-2 amd64 [pouvant être mis à jour depuis : 0.1.3-1]
libsrtp2-1/unstable 2.3.0-3 amd64 [pouvant être mis à jour depuis : 2.3.0-2]
libssl-dev/unstable 1.1.1e-1 amd64 [pouvant être mis à jour depuis : 1.1.1d-2]
libssl-doc/unstable,unstable 1.1.1e-1 all [pouvant être mis à jour depuis : 1.1.1d-2]
libssl1.1/unstable 1.1.1e-1 amd64 [pouvant être mis à jour depuis : 1.1.1d-2]
libstdc++-8-dev/unstable 8.4.0-2 amd64 [pouvant être mis à jour depuis : 8.4.0-1]
libstdc++-9-dev/unstable 9.3.0-8 amd64 [pouvant être mis à jour depuis : 9.3.0-3]
libsystemd0/unstable 245.2-1 amd64 [pouvant être mis à jour depuis : 244.3-1]
libtalloc2/unstable 2.3.0-5 amd64 [pouvant être mis à jour depuis : 2.3.0-3]
libtdb1/unstable 1.4.2-3+b1 amd64 [pouvant être mis à jour depuis : 1.4.2-3]
libudev1/unstable 245.2-1 amd64 [pouvant être mis à jour depuis : 244.3-1]
libudev1/unstable 245.2-1 i386 [pouvant être mis à jour depuis : 244.3-1]
libunbound8/unstable 1.9.6-2+b1 amd64 [pouvant être mis à jour depuis : 1.9.6-2]
libuno-cppu3/unstable 1:6.4.2-2 amd64 [pouvant être mis à jour depuis : 1:6.4.1-1]
libuno-cppuhelpergcc3-3/unstable 1:6.4.2-2 amd64 [pouvant être mis à jour depuis : 1:6.4.1-1]
libuno-purpenvhelpergcc3-3/unstable 1:6.4.2-2 amd64 [pouvant être mis à jour depuis : 1:6.4.1-1]
libuno-sal3/unstable 1:6.4.2-2 amd64 [pouvant être mis à jour depuis : 1:6.4.1-1]
libuno-salhelpergcc3-3/unstable 1:6.4.2-2 amd64 [pouvant être mis à jour depuis : 1:6.4.1-1]
libunoloader-java/unstable,unstable 1:6.4.2-2 all [pouvant être mis à jour depuis : 1:6.4.1-1]
libvirt0/unstable 6.0.0-4 amd64 [pouvant être mis à jour depuis : 5.6.0-2]
libvolume-key1/unstable 0.3.12-3.1 amd64 [pouvant être mis à jour depuis : 0.3.12-3]
libwayland-egl1-mesa/unstable 20.0.2-1 amd64 [pouvant être mis à jour depuis : 19.3.3-1]
libwbclient0/unstable 2:4.11.5+dfsg-1+b1 amd64 [pouvant être mis à jour depuis : 2:4.11.5+dfsg-1]
libwnck-3-0/unstable 3.36.0-1 amd64 [pouvant être mis à jour depuis : 3.32.0-1]
libwnck-3-common/unstable,unstable 3.36.0-1 all [pouvant être mis à jour depuis : 3.32.0-1]
libxatracker2/unstable 20.0.2-1 amd64 [pouvant être mis à jour depuis : 19.3.3-1]
libzbar0/unstable 0.23-1.3+b1 amd64 [pouvant être mis à jour depuis : 0.23-1.3]
lintian/unstable,unstable 2.60.0 all [pouvant être mis à jour depuis : 2.59.0]
locales/unstable,unstable 2.30-4 all [pouvant être mis à jour depuis : 2.30-2]
mesa-common-dev/unstable 20.0.2-1 amd64 [pouvant être mis à jour depuis : 19.3.3-1]
mesa-opencl-icd/unstable 20.0.2-1 amd64 [pouvant être mis à jour depuis : 19.3.3-1]
mesa-va-drivers/unstable 20.0.2-1 amd64 [pouvant être mis à jour depuis : 19.3.3-1]
mesa-vdpau-drivers/unstable 20.0.2-1 amd64 [pouvant être mis à jour depuis : 19.3.3-1]
mesa-vulkan-drivers/unstable 20.0.2-1 amd64 [pouvant être mis à jour depuis : 19.3.3-1]
mesa-vulkan-drivers/unstable 20.0.2-1 i386 [pouvant être mis à jour depuis : 19.3.3-1]
mutter-common/unstable,unstable 3.34.4-1 all [pouvant être mis à jour depuis : 3.34.3-1]
nodejs-doc/unstable,unstable 10.19.0~dfsg-3 all [pouvant être mis à jour depuis : 10.17.0~dfsg-2]
nodejs/unstable 10.19.0~dfsg-3 amd64 [pouvant être mis à jour depuis : 10.17.0~dfsg-2]
openssl/unstable 1.1.1e-1 amd64 [pouvant être mis à jour depuis : 1.1.1d-2]
ostree/unstable 2020.3-1 amd64 [pouvant être mis à jour depuis : 2020.2-1]
printer-driver-hpcups/unstable 3.20.3+dfsg0-1 amd64 [pouvant être mis à jour depuis : 3.20.2+dfsg0-1+deb11u1]
printer-driver-postscript-hp/unstable 3.20.3+dfsg0-1 amd64 [pouvant être mis à jour depuis : 3.20.2+dfsg0-1+deb11u1]
python-gi/unstable 3.36.0-1 amd64 [pouvant être mis à jour depuis : 3.34.0-6]
python3-doc/unstable,unstable 3.8.2-2 all [pouvant être mis à jour depuis : 3.7.5-3]
python3-gi-cairo/unstable 3.36.0-1 amd64 [pouvant être mis à jour depuis : 3.34.0-6]
python3-gi/unstable 3.36.0-1 amd64 [pouvant être mis à jour depuis : 3.34.0-6]
python3-minimal/unstable 3.8.2-2 amd64 [pouvant être mis à jour depuis : 3.7.5-3]
python3-pil/unstable 7.0.0-4 amd64 [pouvant être mis à jour depuis : 6.2.1-2+b1]
python3-talloc/unstable 2.3.0-5 amd64 [pouvant être mis à jour depuis : 2.3.0-3]
python3/unstable 3.8.2-2 amd64 [pouvant être mis à jour depuis : 3.7.5-3]
ruby-debian/unstable 0.3.10+b3 amd64 [pouvant être mis à jour depuis : 0.3.10+b2]
ruby-sqlite3/unstable 1.4.2-2+b2 amd64 [pouvant être mis à jour depuis : 1.4.2-2+b1]
ruby-unf-ext/unstable 0.0.7.6-1+b2 amd64 [pouvant être mis à jour depuis : 0.0.7.6-1+b1]
ruby-unicode/unstable 0.4.4-2+b11 amd64 [pouvant être mis à jour depuis : 0.4.4-2+b10]
ruby-xmlparser/unstable 0.7.3-3+b4 amd64 [pouvant être mis à jour depuis : 0.7.3-3+b3]
ruby/unstable 1:2.7 amd64 [pouvant être mis à jour depuis : 1:2.5.7.1]
samba-libs/unstable 2:4.11.5+dfsg-1+b1 amd64 [pouvant être mis à jour depuis : 2:4.11.5+dfsg-1]
shared-mime-info/unstable 1.15-1 amd64 [pouvant être mis à jour depuis : 1.10-1]
sudo/unstable 1.8.31p1-1 amd64 [pouvant être mis à jour depuis : 1.8.31-1]
systemd-sysv/unstable 245.2-1 amd64 [pouvant être mis à jour depuis : 244.3-1]
systemd/unstable 245.2-1 amd64 [pouvant être mis à jour depuis : 244.3-1]
task-french/unstable,unstable 3.59 all [pouvant être mis à jour depuis : 3.58]
tasksel-data/unstable,unstable 3.59 all [pouvant être mis à jour depuis : 3.58]
tasksel/unstable,unstable 3.59 all [pouvant être mis à jour depuis : 3.58]
udev/unstable 245.2-1 amd64 [pouvant être mis à jour depuis : 244.3-1]
uno-libs-private/unstable 1:6.4.2-2 amd64 [pouvant être mis à jour depuis : 1:6.4.1-1]
ure/unstable 1:6.4.2-2 amd64 [pouvant être mis à jour depuis : 1:6.4.1-1]
vim-common/unstable,unstable 2:8.2.0439-1 all [pouvant être mis à jour depuis : 2:8.1.2269-1]
vim-tiny/unstable 2:8.2.0439-1 amd64 [pouvant être mis à jour depuis : 2:8.1.2269-1+b2]
vulkan-tools/unstable 1.2.131.1+dfsg1-1 amd64 [pouvant être mis à jour depuis : 1.1.126.0+dfsg1-1]
vulkan-utils/unstable,unstable 1.2.131.1+dfsg1-1 all [pouvant être mis à jour depuis : 1.1.126.0+dfsg1-1]
xxd/unstable 2:8.2.0439-1 amd64 [pouvant être mis à jour depuis : 2:8.1.2269-1+b2]
 



ps: j'ai pris la précaution de mettre a jour testing avant de lancer sur sid

Hors ligne

#14 27-03-2020 18:44:07

Elzen
Modérateur
Distrib. : Debian Sid GNU/Linux
Noyau : amd64 (à jour le vendredi)
(G)UI : Touhy
Inscription : 01-07-2014

Re : [Résolu] Soucis divers après MàJ (notamment segfaults en série)

Hum, sans vouloir te vexer, robert2a, je crois que tu n'as pas spécialement lu ce à quoi tu réponds. Typiquement dans ce par quoi tu commences:

robert2a a écrit :

tu dois avoir un mélange de version


Ben, non. Enfin, si : depuis ce bug, dans le but de le régler, j'ai les paquets mentionnés par vv222 qui viennent de testing. Mais, comme dit explicitement plus haut, à part ça, j'ai de la pure Sid, à l'exception d'un paquet ou deux venant d'experimental (et dont aucun de ceux mentionnés ici ne fait partie). Le dépôt testing n'a jamais été dans mon sources.list avant ça.

Pour le reste du messages, tu sembles continuer à extrapoler (à partir de cette prémisse fausse) pour essayer de trouver comment régler le souci… or ça fait deux messages que j'indique que c'est bon, la manip' suggérée par vv222 a tout réglé. Donc merci mais pas la peine de lui chercher des compléments smile

Hors ligne

#15 28-03-2020 11:25:14

robert2a
Membre
Distrib. : debian 11
(G)UI : Mate
Inscription : 15-11-2014

Re : [Résolu] Soucis divers après MàJ (notamment segfaults en série)

Bonjour
désolé , moi j'ai répondu a ce souci d'applications qui bug et qui me semble  est toujours d' actualité.

quand au mélange de version c'est juste une proposition (testing , sid et expérimental ) , je parle de paquet "système" comme libc6 , mesa , drm , et autres.
encore désolé pour l'intervention  smile

Hors ligne

#16 04-04-2020 15:23:26

Elzen
Modérateur
Distrib. : Debian Sid GNU/Linux
Noyau : amd64 (à jour le vendredi)
(G)UI : Touhy
Inscription : 01-07-2014

Re : [Résolu] Soucis divers après MàJ (notamment segfaults en série)

Daily report (un samedi après-midi parce que je viens de me rendre compte que j'avais complètement zappé mes MàJ hier matin, comme quoi, les petites habitudes…)

La MàJ de Mesa dans Sid continue de poser problème ; la réinstallation des paquets à la version antérieure depuis testing proposée par vv222 continue de régler le souci.

Donc je reste avec les dépôts testing activés pour l'instant, et on verra bien.

Edit, j'y pense comme ça : par contre, plus de souci à signaler côté LibreOffice, à première vue. Mais Inkscape continue de râler sur les copiers-collers.

Dernière modification par Elzen (04-04-2020 15:25:12)

Hors ligne

#17 20-04-2020 09:11:23

olitb
Membre
Inscription : 20-04-2020

Re : [Résolu] Soucis divers après MàJ (notamment segfaults en série)

J'avais des soucis similaires (SIGSEGV qui remontent à iris_dri.so), et ceux-ci ont disparu lorsque j'ai suivi le conseil du paquet xserver-xorg-video-intel, à savoir le désinstaller pour le remplacer par le pilote générique xserver-xorg-video-modesetting.

Hors ligne

#18 24-04-2020 09:39:31

Elzen
Modérateur
Distrib. : Debian Sid GNU/Linux
Noyau : amd64 (à jour le vendredi)
(G)UI : Touhy
Inscription : 01-07-2014

Re : [Résolu] Soucis divers après MàJ (notamment segfaults en série)

Je viens de tester chez moi :

apt install xserver-xorg-video-modesetting


Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
Note : sélection de « xserver-xorg-core » au lieu de « xserver-xorg-video-modesetting »
xserver-xorg-core est déjà la version la plus récente (2:1.20.8-2).


Sachant qu'apparemment, modesetting dépend de core, mais que core fournit modesetting, je ne sais pas trop comment on est censé installer spécifiquement ce paquet-là ?

En tout cas, si je vire xserver-xorg-video-intel, X ne démarre plus au redémarrage suivant, donc pour le moment, j'en reste à downgrader mesa en version Testing après chaque mise à jour, ça paraît mieux marcher (même si le fait qu'apt-listbug ne me liste plus aucun souci lors de la MàJ de mesa version Sid m'inquiète un peu quant à la pérennité de cette manœuvre).

Edit : c'est lassant, ces espaces fines insécables qui sautent.

Dernière modification par Elzen (24-04-2020 09:40:42)

Hors ligne

#19 11-06-2020 16:20:50

Debeee
Membre
Distrib. : Buster / Testing
Noyau : 4.19.0-8 / 5.4.0-4
(G)UI : mate /mate
Inscription : 11-02-2015

Re : [Résolu] Soucis divers après MàJ (notamment segfaults en série)

vv222 a écrit :

Je suis sûr à quasi-100% que ces bugs sont liés d’une manière ou d’une autre à la mise-à-jour de Mesa de 19.3.3 vers 20.0.2.



Salut, je suis en testing et je suivais ce fil attentivement, ainsi que les paquets dans les mises à jour. J'ai regardé la mise à jour aujourd'hui, et justement, les paquets mesa* sont dedans, en version 20.0.7-1
Question : est-ce que les pb sus-cités par Elzen sont résolus avec cette version ?

Hors ligne

#20 12-06-2020 17:58:40

Elzen
Modérateur
Distrib. : Debian Sid GNU/Linux
Noyau : amd64 (à jour le vendredi)
(G)UI : Touhy
Inscription : 01-07-2014

Re : [Résolu] Soucis divers après MàJ (notamment segfaults en série)

Toujours pas de mon côté. Je continuais de mettre à jour toutes les semaines pour voir si ça évoluait, mais non hmm

Je viens de le faire une ultime fois (en rétrogradant ensuite grâce à ce snapshot), et je vais maintenant ranger précieusement les .deb quelque part et bloquer les versions des paquets concernés avec /etc/apt/preferences en attendant d'avoir davantage d'infos sur comment régler le souci.

Après, il semble que ça dépende pas mal des réglages X, donc n'hésite pas à essayer de ton côté (tant que le snapshot est utilisable pour pouvoir rétrograder si besoin) et nous dire ce qu'il en est wink

Hors ligne

#21 12-06-2020 20:53:56

Debeee
Membre
Distrib. : Buster / Testing
Noyau : 4.19.0-8 / 5.4.0-4
(G)UI : mate /mate
Inscription : 11-02-2015

Re : [Résolu] Soucis divers après MàJ (notamment segfaults en série)

Merci, Elzen pour ce retour.
Bon, pas joyeux tout ça. Vu que c'est une machine que j'utilise pour bosser, pas cool.
C'est bizarre, y'a pas mal de gens avec des sid ou testing, je n'ai pas vu de pb sur le forum (j'ai mal regardé ?)
La MAJ sous testing date d'après le 27 mai (ma dernière mise à jour).
Si tu peux m'aider avec le snapshot et comment réinstaller les paquets qui marchent, je tente dimanche (demain, je bosse avec...)

Hors ligne

#22 13-06-2020 10:45:20

Elzen
Modérateur
Distrib. : Debian Sid GNU/Linux
Noyau : amd64 (à jour le vendredi)
(G)UI : Touhy
Inscription : 01-07-2014

Re : [Résolu] Soucis divers après MàJ (notamment segfaults en série)

Oh, je peux même te dire que c'était dans le courant de cette semaine, vu que je continue de faire mes MàJ tous les vendredis.

Pour utiliser le snapshot, il suffit d'ajouter la ligne qui va bien dans ton /etc/apt/sources.list, par exemple :

deb http://snapshot.debian.org/archive/debian/20200608T144929Z/ testing main


(Naturellement, comme après chaque modif' du sources.list, il faut relancer un apt update pour que ce soit pris en compte)

Tu trouves la liste des snapshots réalisés en allant sur cette page et en cliquant sur le mois qui t'intéresse, puis le lien à mettre dans le sources.list est celui de les date et heure que tu veux (en l'occurrence, j'ai utilisé celui du 8 juin 2020, à 14h49m29).

Par contre, ne tarde pas trop à faire la manip' : il me semble que les snapshots, même s'ils restent listés sur le site depuis le début, ne sont utilisables par apt que pendant un temps assez limité (je ne sais plus exactement combien, mais j'imagine que ça se comprend: ça doit finir par prendre de la place…)

Mais si jamais, comme je disais, j'ai conservé en local les différents paquets nécessaires pour réparer, donc n'hésite pas à me les demander si jamais tu as un souci (ce qui, encore une fois, peut très bien ne pas se produire : ça a l'air de dépendre de la carte graphique et de la conf' X, ce qui explique sans doute que peu de monde aient signalé le souci).

Hors ligne

#23 13-06-2020 12:12:23

--gilles--
Membre
Lieu : Orléans - La Source
Distrib. : debian 11
Noyau : Linux 5.9.0-2-amd64
(G)UI : mutter 3.38.1-2
Inscription : 15-02-2016

Re : [Résolu] Soucis divers après MàJ (notamment segfaults en série)

Bonjour ! Une précision à nous apporter, qu'apparemment je n'ai pas trouvé, la carte graphique exacte   :

inxi -G


Nos vies commencent à prendre fin le jour où nous devenons silencieux à propos des choses qui comptent. Martin Luther King

Hors ligne

#24 13-06-2020 16:17:51

Debeee
Membre
Distrib. : Buster / Testing
Noyau : 4.19.0-8 / 5.4.0-4
(G)UI : mate /mate
Inscription : 11-02-2015

Re : [Résolu] Soucis divers après MàJ (notamment segfaults en série)

Hello,
bon ça y'est, j'ai mis à jour.
Rappel des infos :
eeepc 1011PX, processeur intel Atom N570 2Go de RAM
Je suis en Bullseye testing depuis juillet dernier et jusqu'à maintenant, ça roule cool
Noyau 5.6.0-2 AMD64
Bureau Mate 1.24.0
Aucune bidouille, dépôts testing pur jus, pas de backports

domeee@debian10:~$ inxi -G


  Device-1: Intel Atom Processor D4xx/D5xx/N4xx/N5xx Integrated Graphics
  driver: i915 v: kernel
  Device-2: IMC Networks USB 2.0 UVC VGA WebCam type: USB driver: uvcvideo
  Display: x11 server: X.Org 1.20.8 driver: intel
  unloaded: fbdev,modesetting,vesa resolution: 1024x600~60Hz
  OpenGL: renderer: Mesa DRI Intel Pineview M v: 1.4 Mesa 20.0.7
 



Alors, à priori, je n'ai pas de soucis particuliers.
mes logiciels de maths fonctionnent, y compris geogebra en 3D (j'ai eu soucis avec du nvidia à une époque)
libre office calc et writer semblent fonctionner : j'ai chargé des documents conséquents (avec figures, équations, etc) => ça a l'air de marcher.
la lecture de pdf marche comme il faut aussi (evince)


Globalement (mais c'est très très subjectif), j'ai l'impression que la machine est plus rapide à l'affichage que précédemment, notamment pour visualiser des pdf comportant des images : c'était très long à charger, surtout que le N570 fait ce qu'il peut, c'est pas du ryzen dernier cri. Pareil avec mon fichier un peu costaud sous writer : affichage moins laborieux.

Faudrait que je teste des trucs avec les logiciels qui fâchent chez Elzen (impress, inkscape).
Je revise le 1er post d'Elzen et je teste ça tranquillou.

Hors ligne

#25 14-06-2020 10:18:13

Elzen
Modérateur
Distrib. : Debian Sid GNU/Linux
Noyau : amd64 (à jour le vendredi)
(G)UI : Touhy
Inscription : 01-07-2014

Re : [Résolu] Soucis divers après MàJ (notamment segfaults en série)

Il y avait a priori plusieurs soucis différents pour la MàJ du premier post : le problème avec Inkscape datait d'un brin plus tôt (et continue de se poser, mais peut-être moins fréquemment. Ça n'empêche pas d'utiliser le truc, c'est juste qu'il y a des popups inutiles à fermer à chaque tentative de copier-coller). Celui avec LibreOffice était un truc ponctuel qui s'est réglé tout seul ensuite (me semble-t-il, en tout cas je n'y ai pas mis spécialement plus d'efforts que ce qui est indiqué ici).

Le souci de version mesa concernait a priori les logiciels qui segfaultaient au démarrage, donc Falkon, Mednafen, Qutebrowser, ScummVM et VLC (pour ceux que j'ai identifié avec certitude et que je n'ai pas oublié depuis le temps. Depuis que les soucis se posent, j'me contente de tester rapidement si Falkon ou Mednafen se lance juste après chaque MàJ, et si vu que ce n'est pas le cas, de rétrograder en vitesse).

Pour la carde graphique,

Graphics:
  Device-1: Intel HD Graphics 620 driver: i915 v: kernel
  Device-2: Acer BisonCam NB Pro type: USB driver: uvcvideo
  Display: server: X.Org 1.20.8 driver: intel resolution: 1366x768~60Hz
  OpenGL: renderer: Mesa DRI Intel HD Graphics 620 (Kaby Lake GT2)
  v: 4.6 Mesa 19.3.3

Hors ligne

Pied de page des forums